Last Comment Bug 264743 - l10n CVS request: Language (ga-IE) - Brian King <brian@mozdev.org>
: l10n CVS request: Language (ga-IE) - Brian King <brian@mozdev.org>
Status: RESOLVED FIXED
sshkey, voucher
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: x86 All
: -- normal (vote)
: ---
Assigned To: Marcia Knous [:marcia - use ni]
: Daniel (Leaf) Nunes
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 03:02 PDT by Brian King [:kinger]
Modified: 2004-11-17 05:29 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
SSH public key (609 bytes, text/plain)
2004-10-21 14:30 PDT, Brian King [:kinger]
no flags Details

Description Brian King [:kinger] 2004-10-17 03:02:38 PDT
The Irish locale team has a translation for Firefox 1.0 that we want to check
into CVS. This bug is to request CVS access and to check procedure in general.

There are 2 members that need access:
- Brian King
- Kevin Scannell

Note that Brian King already has access to the website CVS, see bug 195192.
Perhaps this can be extended to the 110n branch.

Please let uws know what we need to do next.
Comment 1 Benjamin Smedberg [:bsmedberg] 2004-10-18 15:06:56 PDT
I would like one of you to be "owner" and the other to be "peer". I need
separate bugs for each of you, and please attach a ready-for-CVS ZIP so I can
review it.
Comment 2 Brian King [:kinger] 2004-10-19 00:52:42 PDT
Benjamin, can you please clarify exactly what the contents of the ZIP file
should be.

I'll set up a new bug for Kevin shortly.
Comment 3 Benjamin Smedberg [:bsmedberg] 2004-10-19 07:02:27 PDT
Examples can be found in bug 264374 and bug 257697, and almost any other bug
where the summary starts with "l10n CVS request"
Comment 4 Brian King [:kinger] 2004-10-21 08:41:26 PDT
Will I have to fill out a CVS contibutor form , considering that I already did
for access to gila (bug 195192)?
Comment 5 Benjamin Smedberg [:bsmedberg] 2004-10-21 09:45:37 PDT
No, the form should be on file already.
Comment 6 Brian King [:kinger] 2004-10-21 14:30:19 PDT
Created attachment 162899 [details]
SSH public key
Comment 7 Brian King [:kinger] 2004-10-27 14:39:19 PDT
Anything else needed here from me?
Comment 8 Axel Hecht 2004-11-03 06:33:16 PST
(In reply to comment #7)
> Anything else needed here from me?

Yes, the zips.
Comment 9 Brian King [:kinger] 2004-11-03 06:48:02 PST
See https://bugzilla.mozilla.org/show_bug.cgi?id=265191#c5 for zip info.

I believe Ben is looking at them.
Comment 10 Benjamin Smedberg [:bsmedberg] 2004-11-03 11:55:38 PST
I vouch, and initial files committed. Please watch
http://tinderbox.mozilla.org/showbuilds.cgi?tree=Mozilla-l10n-ga-IE
for status, and download and test nightly builds.
Comment 11 Brian King [:kinger] 2004-11-03 13:09:32 PST
That's great, thanks!

What's the process now for checking in updates?
Comment 12 Benjamin Smedberg [:bsmedberg] 2004-11-03 13:24:20 PST
On the branch, we're late enough to 1.0 that all checkins need approval. File a
bug, attach a patch, set the approval-aviary? patch flag.

When we get to an ordinary trunk development cycle, you are the l10n owner and
checkins only require your approval.
Comment 13 Marcia Knous [:marcia - use ni] 2004-11-10 13:37:52 PST
I believe all of you now have access, if you could please confirm so I can close
out these bugs.
Comment 14 Kevin Scannell 2004-11-10 21:50:53 PST
Yes I've successfully checked in, thanks.
Comment 15 Brian King [:kinger] 2004-11-11 02:32:05 PST
Problems for me ... when I try to checkout, I get:

...
Permission denied (publickey,keyboard-interactive).
cvs [checkout aborted]: end of file from server (consult above messages if any)

Not sure if this is a problem in my environment, or if I am not set up on the
server yet.
Comment 16 Myk Melez [:myk] [@mykmelez] 2004-11-17 05:29:40 PST
Ok, your account has been created.  Your username is the email listed in the
summary of this bug, with % in place of @.  To check out the aviary branch:

cvs -d:ext:<username>@cvs.mozilla.org:/l10n co -r AVIARY_1_0_20040515_BRANCH mozilla

See the CVS over SSH FAQ for more information:

http://www.mozilla.org/cvs-ssh-faq.html

Note You need to log in before you can comment on or make changes to this bug.